<template>
  <div :class="cardstyle!= 'list' ? default_class : list_classes">
    <slot>
      Card Vazio
    </slot>
  </div>
</template>

<script>
export default {
  props: {
    cardstyle: {
      type: String,
      required: false,
      default: ""
    }
  },
  data() {
    return {
      default_class: [
        "br2",
        "bg-transparent",
        "ba",
        "b--primary",
        "pa3",
        "ma3",
        "h-100"
      ],
      list_classes: ["pa3", "mv1", "bg-light-gray"]
    }
  }
}
</script>
